Package org.drinkless.tdlib

# Class TdApi.ReorderChatFolders

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.ReorderChatFolders

Enclosing class:
  TdApi

public static class TdApi.ReorderChatFolders extends TdApi.Function<TdApi.Ok>
Changes the order of chat folders.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int[]`
  `chatFolderIds`
  Identifiers of chat folders in the new correct order.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `mainChatListPosition`
  Position of the main chat list among chat folders, 0-based.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReorderChatFolders()`
  Default constructor for a function, which changes the order of chat folders.
  `ReorderChatFolders(int[] chatFolderIds, int mainChatListPosition)`
  Creates a function, which changes the order of chat folders.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatFolderIds

    public int[] chatFolderIds
    Identifiers of chat folders in the new correct order.

  - ### mainChatListPosition

    public int mainChatListPosition
    Position of the main chat list among chat folders, 0-based. Can be non-zero only for Premium users.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ReorderChatFolders

    public ReorderChatFolders()
    Default constructor for a function, which changes the order of chat folders.

    Returns `Ok`

  - ### ReorderChatFolders

    public ReorderChatFolders(int[] chatFolderIds, int mainChatListPosition)
    Creates a function, which changes the order of chat folders.

    Returns `Ok`

    Parameters:
      `chatFolderIds` - Identifiers of chat folders in the new correct order.
      `mainChatListPosition` - Position of the main chat list among chat folders, 0-based. Can be non-zero only for Premium users.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR